<template>
  <div
      @click="setActiveTab(tabName)"
      :class="[customClasses, { 'active-tab': activeTab === tabName }]"
      class="cursor-pointer opacity-40"
  >
    <span>{{ tabText }}</span>
  </div>
</template>

<script setup>

defineProps({
      tabName: String,
      activeTab: String,
      setActiveTab: Function,
      tabText: String,
      customClasses: String,
});

</script>

<style scoped>
.active-tab {
  color: #5051f9;
  opacity: 1;
  position: relative;
}

.active-tab:after {
  position: absolute;
  content: "";
  border-bottom: 2px solid #5051f9;
  width: 100%;
  transform: translateX(-50%);
  bottom: -12px;
  left: 50%;
}
</style>
